
GammaLib - Action #1582

Add Python unit tests for all iterators

11/24/2015 11:48 PM - Knödlseder Jürgen

Status: Closed Start date: 11/24/2015

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.4.0   

Description

Python unit tests should be added for all iterators to verify that they work correctly on all platforms.

This is a follow up of #1581 which revealed that the GSkyMap pixel iterator did not work on all platforms.

Related issues:

Related to GammaLib - Bug # 1581: Skymap pixel iterator does not work on Debi... Closed 11/24/2015

Related to GammaLib - Feature # 2128: Implement slicing in the Python interfa... Closed 06/21/2017

History

#1 - 09/26/2016 10:43 PM - Knödlseder Jürgen

It turns out that the iterators without explicit out of range checking only do not work with swig 1.3.40 (this is the swig version on Debian and FreeBSD).

#2 - 07/23/2017 04:22 AM - Knödlseder Jürgen

- Related to Feature #2128: Implement slicing in the Python interface of container classes added

#3 - 07/23/2017 04:22 AM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.4.0

- % Done changed from 0 to 100

I added in issue #2128 unit tests for all container iterators.
